Crypto Pair State
curl --request GET \
--url https://api.unusualwhales.com/api/crypto/{pair}/state \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.unusualwhales.com/api/crypto/{pair}/state"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.unusualwhales.com/api/crypto/{pair}/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"close_24h": "93210.00",
"date": "2026-07-29T00:00:00.000Z",
"high_24h": "94321.00",
"low_24h": "89000.00",
"open_24h": "90000.00",
"pair": "BTC-USD",
"timestamp": "2026-07-29T12:34:56.000Z",
"volume_24h": "12345.67"
}
}{
"code": "authentication_required",
"documentation_url": "https://api.unusualwhales.com/docs",
"expected_format": "uuid",
"message": "The API token provided is not in the expected format. Unusual Whales API tokens are UUIDs, such as 123e4567-e89b-12d3-a456-426614174000.",
"reason": "malformed_token",
"request_id": "GNI_YTC1CRnw2LACGBvE",
"retryable": false,
"support_email": "[email protected]",
"token_url": "https://unusualwhales.com/dashboard/api"
}{
"code": "missing_access",
"documentation_url": "https://api.unusualwhales.com/docs",
"message": "The API token provided is valid but is not permitted to access this route.",
"reason": "route_not_permitted",
"request_id": "GNI_YTC1CRnw2LACGBvE",
"retryable": false,
"support_email": "[email protected]",
"token_url": "https://unusualwhales.com/dashboard/api"
}"Something went wrong"crypto
Crypto Pair State
Returns the current state for a crypto pair including 24h OHLCV data.
GET
/
api
/
crypto
/
{pair}
/
state
Crypto Pair State
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Crypto Pair State
Null when no state is recorded for the pair.
Show child attributes
Show child attributes
Last modified on September 29, 2026
Was this page helpful?
